
<html>
<head>
    <script src="https://code.jquery.com/jquery-1.10.2.js"></script>
    <script type="text/javascript">
    $.getScript( "https://www.gstatic.com/charts/loader.js", function() {
      if ((typeof google === 'undefined') || (typeof google.visualization === 'undefined')) 
      {
         google.charts.load('current', {'packages':['corechart']});
      }

      google.charts.setOnLoadCallback(drawChart_Percent_Alcohol_Consumption);
    });
    
    function drawChart_Percent_Alcohol_Consumption() {
        var dataArr = [['Percentage', 'Type'], ['Beer', 40], ['Wine', 50], ['Liquor', 10]];
        var grTitle = 'Percent Alcohol Consumption';
        var height = 600;
        var width = 1000;
        var logScaleFlag = false;
        var vAxisTitle = '';
        var vAxisOpt;
        if(logScaleFlag)
        {
            vAxisOpt = { title: vAxisTitle, logScale: true, format: 'scientific'};
        }
        else
        {
            vAxisOpt = { title: vAxisTitle };
        }

        var options = {
            width: width,
            height: height,
            explorer: { actions: ['dragToZoom', 'rightClickToReset'], maxZoomIn: 0.01 },
            curveType: 'function',
            title: grTitle,
            titleTextStyle: { fontSize: 18, bold: true },
            hAxis: { title: dataArr[0][0] },
            vAxis: vAxisOpt,
            
        };

        var data = new google.visualization.DataTable();
        var csvOut = "data:text/csv;charset=utf-8";
        // Add column headers
        data.addColumn('string',dataArr[0][0]);
        csvOut += ',' + dataArr[0][0];
        for (var j = 0; j < dataArr[0].length-1; j++)
        {
           data.addColumn('number',dataArr[0][j+1]);
           csvOut += ',' + dataArr[0][j+1];
        }
        csvOut += '\n';

        // Add columns
        for (var i = 1; i < dataArr.length; i++)
        {
            data.addRow(dataArr[i]);
            csvOut += dataArr[i].join(",") + '\n';
        }

        var chart = new google.visualization.BarChart(document.getElementById('chart_div_Percent_Alcohol_Consumption'));

        chart.draw(data, options);
        document.getElementById('pic_div_Percent_Alcohol_Consumption').innerHTML = '<a href="' + chart.getImageURI() + '" download="'+grTitle+'.png">Download Figure</a>'
        document.getElementById('csvFileDl_Percent_Alcohol_Consumption').innerHTML = '<a href="' + encodeURI(csvOut) + '" download="'+grTitle+'.csv">Download CSV</a>'
    }
    </script>
</head>
<body>
    <div id="chart_div_Percent_Alcohol_Consumption"></div>
    <div id="pic_div_Percent_Alcohol_Consumption"></div>
    <div id="csvFileDl_Percent_Alcohol_Consumption"></div>
</body>
</html>
